Create brand
Create brand properties for the specified account.
To access this endpoint using an access token
you'll need to specify the /accounts/{accountID}/branding.write scope.
POST
/accounts/{accountID}/branding
curl -X POST "https://api.moov.io/accounts/{accountID}/branding" \
-H "Authorization: Bearer {token}" \
--data-raw '{
"colors": {
"dark": {
"accent":"#111111"
},
"light": {
"accent":"#111111"
}
}
}'\
import { SDK } from "openapi";
const sdk = new SDK({
xMoovVersion: "v2024.01.00",
});
async function run() {
const result = await sdk.branding.create({
accountID: "0a6ae927-b52b-4ef4-86d0-288f27479817",
brandProperties: {
colors: {
dark: {
accent: "#111111",
},
light: {
accent: "#111111",
},
},
},
});
console.log(result);
}
run();declare(strict_types=1);
require 'vendor/autoload.php';
use OpenAPI\OpenAPI;
use OpenAPI\OpenAPI\Models\Components;
$sdk = OpenAPI\SDK::builder()
->setXMoovVersion('v2024.01.00')
->build();
$brandProperties = new Components\BrandProperties(
colors: new Components\BrandColors(
dark: new Components\BrandColor(
accent: '#111111',
),
light: new Components\BrandColor(
accent: '#111111',
),
),
);
$response = $sdk->branding->create(
accountID: '0a6ae927-b52b-4ef4-86d0-288f27479817',
brandProperties: $brandProperties
);
if ($response->brandProperties !== null) {
// handle response
}from openapi import SDK, models
with SDK(
x_moov_version="v2024.01.00",
) as sdk:
res = sdk.branding.create(account_id="0a6ae927-b52b-4ef4-86d0-288f27479817", colors=models.BrandColors(
dark=models.BrandColor(
accent="#111111",
),
light=models.BrandColor(
accent="#111111",
),
))
# Handle response
print(res)package hello.world;
import java.lang.Exception;
import org.openapis.openapi.SDK;
import org.openapis.openapi.models.components.*;
import org.openapis.openapi.models.errors.BrandValidationError;
import org.openapis.openapi.models.errors.GenericError;
import org.openapis.openapi.models.operations.CreateBrandResponse;
public class Application {
public static void main(String[] args) throws GenericError, BrandValidationError, Exception {
SDK sdk = SDK.builder()
.xMoovVersion("v2024.01.00")
.build();
CreateBrandResponse res = sdk.branding().create()
.accountID("0a6ae927-b52b-4ef4-86d0-288f27479817")
.brandProperties(BrandProperties.builder()
.colors(BrandColors.builder()
.dark(BrandColor.builder()
.accent("#111111")
.build())
.light(BrandColor.builder()
.accent("#111111")
.build())
.build())
.build())
.call();
if (res.brandProperties().isPresent()) {
// handle response
}
}
}require 'openapi'
Models = ::OpenApiSDK::Models
s = ::OpenApiSDK::SDK.new(
x_moov_version: 'v2024.01.00',
)
res = s.branding.create(account_id: '0a6ae927-b52b-4ef4-86d0-288f27479817', brand_properties: Models::Components::BrandProperties.new(
colors: Models::Components::BrandColors.new(
dark: Models::Components::BrandColor.new(
accent: '#111111',
),
light: Models::Components::BrandColor.new(
accent: '#111111',
),
),
))
unless res.brand_properties.nil?
# handle response
endThe request completed successfully.
{
"colors": {
"dark": {
"accent": "#111111"
},
"light": {
"accent": "#111111"
}
}
}Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The server could not understand the request due to invalid syntax.
{
"error": "string"
}Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The request contained missing or expired authentication.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The user is not authorized to make the request.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The requested resource was not found.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The request conflicted with the current state of the target resource.
{
"error": "string"
}Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The request was well-formed, but the contents failed validation. Check the request for missing or invalid fields.
{
"colors": {
"light": {
"accent": "string"
},
"dark": {
"accent": "string"
}
}
}Response headers
x-request-id
string
required
A unique identifier used to trace requests.
Request was refused due to rate limiting.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The request failed due to an unexpected error.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The request failed because a downstream service failed to respond.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
Headers
X-Moov-Version
string
Specify an API version.
API versioning follows the format vYYYY.QQ.BB, where
YYYYis the yearQQis the two-digit month for the first month of the quarter (e.g., 01, 04, 07, 10)BBis the build number, starting at.01, for subsequent builds in the same quarter.- For example,
v2024.01.00is the initial release of the first quarter of 2024.
- For example,
The dev version represents the most recent development state. It may include breaking changes and should be treated as a beta release.
When no version is specified, the API defaults to v2024.01.00.
Path parameters
accountID
string
required
Body
application/json
colors
object
required
Brand colors for light and dark modes.
Show child attributes
dark
object
required
Show child attributes
accent
string
required
A CSS hex color representing an accent color.
light
object
required
Show child attributes
accent
string
required
A CSS hex color representing an accent color.
Response
colors
object
required
Brand colors for light and dark modes.
Show child attributes
dark
object
required
Show child attributes
accent
string
required
A CSS hex color representing an accent color.
light
object
required
Show child attributes
accent
string
required
A CSS hex color representing an accent color.